Rapid7 Vulnerability & Exploit Database

SUSE: CVE-2015-7552: SUSE Linux Security Advisory

Back to Search

SUSE: CVE-2015-7552: SUSE Linux Security Advisory

Severity
9
CVSS
(AV:N/AC:M/Au:N/C:C/I:C/A:C)
Published
01/25/2016
Created
07/25/2018
Added
02/02/2016
Modified
02/04/2022

Description

Heap-based buffer overflow in the gdk_pixbuf_flip function in gdk-pixbuf-scale.c in gdk-pixbuf 2.30.x allows remote attackers to cause a denial of service or possibly execute arbitrary code via a crafted BMP file.

Solution(s)

  • suse-upgrade-gdk-pixbuf-devel
  • suse-upgrade-gdk-pixbuf-lang
  • suse-upgrade-gdk-pixbuf-query-loaders
  • suse-upgrade-gdk-pixbuf-query-loaders-32bit
  • suse-upgrade-gdk-pixbuf-thumbnailer
  • suse-upgrade-gtk2
  • suse-upgrade-gtk2-32bit
  • suse-upgrade-gtk2-devel
  • suse-upgrade-gtk2-devel-32bit
  • suse-upgrade-gtk2-doc
  • suse-upgrade-gtk2-lang
  • suse-upgrade-gtk2-x86
  • suse-upgrade-libgdk_pixbuf-2_0-0
  • suse-upgrade-libgdk_pixbuf-2_0-0-32bit
  • suse-upgrade-typelib-1_0-gdkpixbuf-2_0
  • suse-upgrade-typelib-1_0-gdkpixdata-2_0

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;